%define api 1.0
%define major 0
%define libname %mklibname workrave-private %api %major
%define girname %mklibname %name-gir %api
%define tag %(echo %{version}|tr . _)

Summary:	Assists in recovery and prevention of Repetitive Strain Injury (RSI)
Name:		workrave
Version:	1.10.16
Release:	%mkrel 1
License:	GPL
Group:		Accessibility
URL:		http://www.workrave.org/
Source0:	https://codeload.github.com/rcaelers/%{name}/tar.gz/v%{tag}#/%{name}-%{version}.tar.gz
BuildRequires:	autoconf-archive
BuildRequires:	doxygen
BuildRequires:	pkgconfig(dbus-1) >= 1.2
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dbusmenu-glib-0.4) >= 0.1.1
BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4) >= 0.3.95
BuildRequires:	pkgconfig(gdk-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(indicator3-0.4) >= 0.3.19
BuildRequires:	pkgconfig(libpulse) >= 0.9.15
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.15
BuildRequires:	pkgconfig(sigc++-2.0) >= 2.2.4.2
BuildRequires:	pkgconfig(sm)
BuildRequires:	libxtst-devel
BuildRequires:	libxext-devel
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	gobject-introspection-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.40.0
BuildRequires:	python-cheetah

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

%package	gnome-applet
Summary:	Workrave GNOME applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	gnome-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for GNOME desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with GNOME environment, such as embedding in GNOME panel.

%package -n %{libname}
Group:		System/Libraries
Summary:	Private library for %{name}

%description -n %{libname}
Private library for %{name}

%package -n %{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package devel
Summary:	Development libraries, header files and utilities for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description devel
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains the files necessary to develop applications with
%{name}.

%prep
%setup -q -n %{name}-%{tag}
%autopatch -p1

%build
autoreconf -fi
intltoolize --copy --force
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x \
	--disable-gnome2 \
	--disable-static \
	--disable-schemas-compile
%make

%install
%make_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_libdir}/indicators3/7/libworkrave.so
%{_datadir}/gnome-shell/extensions/workrave@workrave.org
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.workrave.Workrave.service
%{_iconsdir}/*/*/*/*
%{_iconsdir}/hicolor/scalable/workrave-sheep.svg
%{_datadir}/sounds/workrave
%{_datadir}/appdata/workrave.appdata.xml
%{_datadir}/cinnamon/applets/workrave@workrave.org/applet.js
%{_datadir}/cinnamon/applets/workrave@workrave.org/metadata.json
%{_datadir}/glib-2.0/schemas/org.workrave.enums.xml
%{_datadir}/glib-2.0/schemas/org.workrave.gschema.xml
%{_datadir}/glib-2.0/schemas/org.workrave.gui.gschema.xml

%files -n %{libname}
%{_libdir}/libworkrave-private-%{api}.so.%{major}
%{_libdir}/libworkrave-private-%{api}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Workrave-%{api}.typelib

%files devel
%{_libdir}/libworkrave-private-%{api}.so
%{_datadir}/gir-1.0/Workrave-%{api}.gir


%changelog
* Thu Feb 16 2017 cjw <cjw> 1.10.16-1.mga6
+ Revision: 1086376
- add build dependency on autoconf-archive
- 1.10.16
- use gstreamer1.0 instead of gstreamer0.10

* Thu Feb 18 2016 daviddavid <daviddavid> 1.10.1-8.mga6
+ Revision: 967373
- compile C++ code with -std=gnu++11

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jun 30 2015 wally <wally> 1.10.1-7.mga6
+ Revision: 848449
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.10.1-6.mga5
+ Revision: 748424
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.10.1-5.mga5
+ Revision: 724976
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.10.1-4.mga5
+ Revision: 690367
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.1-3.mga4
+ Revision: 532281
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 fwang <fwang> 1.10.1-2.mga4
+ Revision: 467668
- update file list
- try building with panel applet

* Thu Jun 13 2013 fwang <fwang> 1.10.1-1.mga4
+ Revision: 442529
- fix ru translation
- fix pl translation of desktop file
- fix category
- update devel package name
- drop all la files
- fix typo
- update file list
- fix typo
- disable icon installation
- br intltool
- br python-cheetah
- add more switch
- br correct lib
- new version 1.10.1

* Mon Jan 14 2013 umeabot <umeabot> 1.9.4-3.mga3
+ Revision: 385847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.9.4-2.mga3
+ Revision: 337970
- patch2: fix bundled desktop file categories syntax
- drop mga specific desktop file
- patch1: fix build with automake 1.13

* Fri Jul 08 2011 fwang <fwang> 1.9.4-1.mga2
+ Revision: 120336
- br xtst

  + dmorgan <dmorgan>
    - New version 1.9.4
    - disable gnome ( does not compile with gnome 3)
    - Rebuild against new libpanel-applet

* Sun Apr 10 2011 dmorgan <dmorgan> 1.9.0-3.mga1
+ Revision: 82982
- Remove mdv macros
- imported package workrave

